---
- name: Add ArcGIS service account to d:\ drive
  ansible.windows.win_acl:
    user: "{{ arcgis_datastore_service_account['name'] }}"
    path: d:\
    type: allow
    rights: Modify
    state: present
    inherit: ContainerInherit, ObjectInherit

- name: Add ArcGIS service account to install home
  ansible.windows.win_acl:
    user: "{{ arcgis_datastore_service_account['name'] }}"
    path: "{{ arcgis_datastore_install['dir'] }}"
    type: allow
    rights: FullControl
    state: present
    inherit: ContainerInherit, ObjectInherit

- name: Add ArcGIS service account to user group
  ansible.windows.win_group_membership:
    name: Users
    members:
      - "{{ arcgis_datastore_service_account['name'] }}"
    state: present

- name: Stat store folder
  ansible.windows.win_stat:
    path: "{{ arcgis_datastore_install['content_directory'] }}"
  register: _datastore_store_folder

- name: Create ArcGIS datastore
  ansible.windows.win_shell: >-
    {{ arcgis_datastore_install['dir'] }}\\DataStore\\tools\\configuredatastore.bat
    {{ arcgis_datastore_create_datastore_arguments }}
    --stores {{ arcgis_datastore_role }}
  when: not _datastore_store_folder.stat.exists
  # args: TODO
  # chdir: "{{ arcgis_datastore_install_directory }}\\DataStore\\tools"
  # TODO creates D:\arcgis\arcgisdatastore ?
